6.0.0-git
2019-05-19

[#9472] Smime not possible if multiple emails in turba
Summary Smime not possible if multiple emails in turba
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester hordetest (at) trash-mail (dot) com
Created 2010-12-25 (3067 days ago)
Due
Updated 2011-12-06 (2721 days ago)
Assigned 2010-12-28 (3064 days ago)
Resolved 2011-12-06 (2721 days ago)
Milestone
Patch No

History
2011-12-06 06:52:58 Michael Slusarz Comment #7
State ⇒ Resolved
Reply to this comment
S/MIME works fine, at least of 5.0.16.  Considering this report came 
out before 5.0 was even released, I'm going to assume this has been 
fixed since then.
2011-09-12 00:08:22 Michael Slusarz Comment #6 Reply to this comment
Could be related: http://bugs.horde.org/ticket/10497

(json utf-8 encrypt error)
This has nothing to do with ticket 10497.
2011-09-11 19:54:04 szimszon (at) oregpreshaz (dot) eu Comment #5 Reply to this comment
Could be related: http://bugs.horde.org/ticket/10497

(json utf-8 encrypt error)
2010-12-28 17:36:57 Jan Schneider Comment #4
Assigned to Michael Slusarz
State ⇒ Assigned
Reply to this comment
Decrypting still fails. Actually encrypting probably fails, I can't 
decrypt those messages in IMP 4 either.
2010-12-28 17:34:58 CVS Commit Comment #3 Reply to this comment
Changes have been made in CVS for this ticket:

[jan] Fix searching for fields matching an email address if using 'emails'
attribute instead of 'email' (Bug #9472).
http://cvs.horde.org/diff.php/turba/docs/CHANGES?rt=horde&r1=1.181.2.260&r2=1.181.2.261&ty=u
http://cvs.horde.org/diff.php/turba/lib/api.php?rt=horde&r1=1.120.2.71&r2=1.120.2.72&ty=u
2010-12-28 17:34:11 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

[jan] Fix searching for fields matching an email address if using 
'emails'       attribute instead of 'email' (Bug #9472).

http://git.horde.org/horde-git/-/commit/62901caaa1a717ae1c5a3d63dea776c160e59c82
2010-12-25 21:36:59 hordetest (at) trash-mail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Smime not possible if multiple emails in turba
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
I enabled multiple email adresses per contact in turba (email -> 
emails). It seems smime is not able to get the email address for a 
public key. the public key is shown in prefs with empty (). 
view_public_key returns "Invalid email". decrypting of mails is also 
not possible

Saved Queries